Edit appointment
curl --request PATCH \
--url https://api.sortx.co.uk/calendar/appointments/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 123,
"title": "<string>",
"location": "<string>",
"notes": "<string>",
"propertyId": "<string>",
"contactId": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
expectedRevision: 123,
title: '<string>',
location: '<string>',
notes: '<string>',
propertyId: '<string>',
contactId: '<string>'
})
};
fetch('https://api.sortx.co.uk/calendar/appointments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/calendar/appointments/{id}"
payload = {
"requestId": "<string>",
"expectedRevision": 123,
"title": "<string>",
"location": "<string>",
"notes": "<string>",
"propertyId": "<string>",
"contactId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"title": "<string>",
"kind": "<string>",
"subjectKind": "<string>",
"subjectId": "<string>",
"startsAt": "<string>",
"endsAt": "<string>",
"location": "<string>",
"status": "<string>",
"createdByUserId": "<string>",
"propertyId": "<string>",
"propertyLabel": "<string>",
"staffId": "<string>",
"staffUserId": "<string>",
"staffName": "<string>",
"contactId": "<string>",
"contactName": "<string>",
"notes": "<string>",
"revision": 123,
"outcome": "attended",
"outcomeNote": "<string>",
"outcomeRecordedAt": "<string>",
"feedback": {
"interest": "keen",
"themes": [
"<string>"
],
"nextAction": "send_offer",
"note": "<string>"
},
"followUpTaskId": "<string>",
"cancelReason": "<string>",
"cancelledAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": {
"kind": "user",
"userId": "<string>"
},
"followUp": {
"id": "<string>",
"title": "<string>",
"dueOn": "<string>",
"status": "<string>"
},
"history": [
{
"id": "<string>",
"revision": 123,
"action": "<string>",
"startsAt": "<string>",
"endsAt": "<string>",
"previousStartsAt": "<string>",
"previousEndsAt": "<string>",
"staffId": "<string>",
"staffName": "<string>",
"previousStaffId": "<string>",
"previousStaffName": "<string>",
"status": "<string>",
"note": "<string>",
"detail": {},
"actorUserId": "<string>",
"actor": {
"kind": "user",
"userId": "<string>"
},
"createdAt": "<string>"
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}calendar
Edit appointment
Change an appointment’s title, place, notes, property or (when no record booked it) contact
PATCH
/
calendar
/
appointments
/
{id}
Edit appointment
curl --request PATCH \
--url https://api.sortx.co.uk/calendar/appointments/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 123,
"title": "<string>",
"location": "<string>",
"notes": "<string>",
"propertyId": "<string>",
"contactId": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
expectedRevision: 123,
title: '<string>',
location: '<string>',
notes: '<string>',
propertyId: '<string>',
contactId: '<string>'
})
};
fetch('https://api.sortx.co.uk/calendar/appointments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/calendar/appointments/{id}"
payload = {
"requestId": "<string>",
"expectedRevision": 123,
"title": "<string>",
"location": "<string>",
"notes": "<string>",
"propertyId": "<string>",
"contactId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"title": "<string>",
"kind": "<string>",
"subjectKind": "<string>",
"subjectId": "<string>",
"startsAt": "<string>",
"endsAt": "<string>",
"location": "<string>",
"status": "<string>",
"createdByUserId": "<string>",
"propertyId": "<string>",
"propertyLabel": "<string>",
"staffId": "<string>",
"staffUserId": "<string>",
"staffName": "<string>",
"contactId": "<string>",
"contactName": "<string>",
"notes": "<string>",
"revision": 123,
"outcome": "attended",
"outcomeNote": "<string>",
"outcomeRecordedAt": "<string>",
"feedback": {
"interest": "keen",
"themes": [
"<string>"
],
"nextAction": "send_offer",
"note": "<string>"
},
"followUpTaskId": "<string>",
"cancelReason": "<string>",
"cancelledAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": {
"kind": "user",
"userId": "<string>"
},
"followUp": {
"id": "<string>",
"title": "<string>",
"dueOn": "<string>",
"status": "<string>"
},
"history": [
{
"id": "<string>",
"revision": 123,
"action": "<string>",
"startsAt": "<string>",
"endsAt": "<string>",
"previousStartsAt": "<string>",
"previousEndsAt": "<string>",
"staffId": "<string>",
"staffName": "<string>",
"previousStaffId": "<string>",
"previousStaffName": "<string>",
"status": "<string>",
"note": "<string>",
"detail": {},
"actorUserId": "<string>",
"actor": {
"kind": "user",
"userId": "<string>"
},
"createdAt": "<string>"
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Response
Success
Available options:
attended, no_show Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes